import { cn } from "../lib/utils.js";
import { c } from "react/compiler-runtime";
import React from "react";
import { Fragment as Fragment$1, jsx } from "react/jsx-runtime";
import { Loader2 } from "lucide-react";
var LoadingCentered_default = (i) => {
	let o = c(16), s, l, u, d, f;
	o[0] === i ? (s = o[1], l = o[2], u = o[3], d = o[4], f = o[5]) : ({loading: u, size: d, children: f, className: s, ...l} = i, o[0] = i, o[1] = s, o[2] = l, o[3] = u, o[4] = d, o[5] = f);
	let p = u === void 0 ? !1 : u, m = d === void 0 ? 24 : d, h = f === void 0 ? null : f;
	if (p) {
		let r;
		o[6] === s ? r = o[7] : (r = cn("flex items-center justify-center", s), o[6] = s, o[7] = r);
		let i;
		o[8] === m ? i = o[9] : (i = /* @__PURE__ */ jsx(Loader2, {
			className: "animate-spin",
			size: m
		}), o[8] = m, o[9] = i);
		let a;
		return o[10] !== l || o[11] !== r || o[12] !== i ? (a = /* @__PURE__ */ jsx("div", {
			className: r,
			...l,
			children: i
		}), o[10] = l, o[11] = r, o[12] = i, o[13] = a) : a = o[13], a;
	}
	let g;
	return o[14] === h ? g = o[15] : (g = /* @__PURE__ */ jsx(Fragment$1, { children: h }), o[14] = h, o[15] = g), g;
};
export { LoadingCentered_default as default };
